summaryrefslogtreecommitdiff
path: root/meta-openbmc-mods/meta-common/recipes-core/dbus/dbus/run-ptest
diff options
context:
space:
mode:
Diffstat (limited to 'meta-openbmc-mods/meta-common/recipes-core/dbus/dbus/run-ptest')
-rwxr-xr-xmeta-openbmc-mods/meta-common/recipes-core/dbus/dbus/run-ptest35
1 files changed, 35 insertions, 0 deletions
diff --git a/meta-openbmc-mods/meta-common/recipes-core/dbus/dbus/run-ptest b/meta-openbmc-mods/meta-common/recipes-core/dbus/dbus/run-ptest
new file mode 100755
index 000000000..d3eec0823
--- /dev/null
+++ b/meta-openbmc-mods/meta-common/recipes-core/dbus/dbus/run-ptest
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+output() {
+ retcode=$?
+ if [ $retcode -eq 0 ]
+ then echo "PASS: $i"
+ elif [ $retcode -eq 77 ]
+ then echo "SKIP: $i"
+ else echo "FAIL: $i"
+ fi
+}
+
+export DBUS_TEST_HOMEDIR=./test
+export XDG_RUNTIME_DIR=./test
+export LD_LIBRARY_PATH=@PTEST_PATH@/test/.libs
+
+files=`ls test/test-*`
+
+for i in $files
+do
+ #these programs are used by testcase test-bus, don't run here
+ #additionally, test-names needs to be run under X
+ if [ $i = "test/test-service" ] \
+ || [ $i = "test/test-shell-service" ] \
+ || [ $i = "test/test-segfault" ] \
+ || [ $i = "test/test-bus" ] \
+ || [ $i = "test/test-names" ]
+ then
+ continue
+ fi
+
+ ./$i ./test/data >/dev/null 2>&1
+ output
+done
+